'Set PCB Decal names off (No Specific PCB Decal flag set) 
' for all components in PowerLogic design.
'Useful for resetting PCB decal names when generating a default netlist
' by removing @PCBDecal directive causing PowerPCB to read default 
' decal names from part lib.
'
'Before: *PART*       ITEMS
'         R1      RES_1/4W@RES\30\S\N
'
'After:  *PART*       ITEMS
'         R1      RES_1/4W         
'
'PLOG_PCBdecalOFF.BAS v1.01  Ron Olinyk, Mindlink Technologies  16-06-03

Sub Main

If UCase(Name) <> "POWERLOGIC" Then
   MsgBox "Only works for PowerLogic -exiting...", vbExclamation, "App Error"
   End 
End If   
   
   If MsgBox ("Set PCB Decal names OFF for all components?", vbYesNo, "PLOG Script") = vbYes Then
	Set cmp = ActiveDocument.GetObjects(plogObjectTypeComponent,,)
    For Each nn In cmp
       nn.PCBDecal = ""
    Next nn
   End If 
End Sub
